Subject: [bug#62873] [PATCH gnome-team 0/5] Merge master into gnome-team

From: Liliana Marie Prikler <[email-masked]>
Date: Tue, 18 Apr 2023 20:30:29 +0200

Am Dienstag, dem 18.04.2023 um 12:42 -0400 schrieb Maxim Cournoyer:
> Hi Liliana,
> 
> Liliana Marie Prikler <[email-masked]> writes:
> 
> > * gnu/packages/patches/gst-plugins-base-fix-broken-test.patch: New
> > file.
> > * gnu/packages/gstreamer.scm (gst-plugins-base)[patches]: Use it
> > here.
> > * gnu/local.mk (dist_patch_DATA): Register it here.
> > ---
> > As a follow-up to the master merge, the good, bad, and ugly plugins
> > as well as gst-editing-services build with this simple trick.
> > 
> >  gnu/local.mk                                  |  1 +
> >  gnu/packages/gstreamer.scm                    |  3 ++-
> >  .../gst-plugins-base-fix-broken-test.patch    | 22
> > +++++++++++++++++++
> >  3 files changed, 25 insertions(+), 1 deletion(-)
> >  create mode 100644 gnu/packages/patches/gst-plugins-base-fix-
> > broken-test.patch
> > 
> > diff --git a/gnu/local.mk b/gnu/local.mk
> > index 72b73761d8..1d7c5696f5 100644
> > --- a/gnu/local.mk
> > +++ b/gnu/local.mk
> > @@ -1303,6 +1303,7 @@ dist_patch_DATA
> > =                                         \
> >    %D%/packages/patches/guile-present-coding.patch              \
> >    %D%/packages/patches/guile-rsvg-pkgconfig.patch              \
> >    %D%/packages/patches/guile-emacs-fix-configure.patch         \
> > +  %D%/packages/patches/gst-plugins-base-fix-broken-
> > test.patch          \
> >    %D%/packages/patches/gtk2-fix-builder-test.patch             \
> >    %D%/packages/patches/gtk2-harden-list-store.patch            \
> >    %D%/packages/patches/gtk2-respect-GUIX_GTK2_PATH.patch       \
> 
> I'm surprised this is needed, I hadn't encountered the failure. 
> Perhaps it's a non-deterministic test?
It is a deterministic failure as far as I see.  Did you test with glib
2.73 (current master) or 2.76 (gnome-team)?

Cheers